Package org.eclipse.ui.texteditor.templates

## Interface ITemplatesPageExtension

All Known Implementing Classes:
  `AbstractTemplatesPage`

    public interface ITemplatesPageExtension

Extension interface for `ITemplatesPage`. Adds the following functions:

- access to currently selected items on page
- access to template store which drives this page

This interface may be implemented by clients.

Since:
  3.6

### Method Summary

All Methods Instance Methods Abstract Methods
`TemplatePersistenceData[]` `getSelectedTemplates()` Returns currently selected templates.
`TemplateStore` `getTemplateStore()` Returns template store associated with this page.

### Method Detail

#### getTemplateStore

    TemplateStore getTemplateStore()

Returns template store associated with this page.

Returns:
  template store

#### getSelectedTemplates

    TemplatePersistenceData[] getSelectedTemplates()

Returns currently selected templates.

Returns:
  an array with the currently selected templates